# Uses of Interface
java.lang.classfile.attribute.ModuleProvideInfo

Packages that use ModuleProvideInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ModuleProvideInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return ModuleProvideInfo
Modifier and Type
Method
Description
`static ModuleProvideInfo`
ModuleProvideInfo.`of(ClassEntry provides, ClassEntry... providesWith)`
Returns a service provision description.
`static ModuleProvideInfo`
ModuleProvideInfo.`of(ClassEntry provides, List<ClassEntry> providesWith)`
Returns a service provision description.
`static ModuleProvideInfo`
ModuleProvideInfo.`of(ClassDesc provides, ClassDesc... providesWith)`
Returns a service provision description.
`static ModuleProvideInfo`
ModuleProvideInfo.`of(ClassDesc provides, List<ClassDesc> providesWith)`
Returns a service provision description.
Methods in java.lang.classfile.attribute that return types with arguments of type ModuleProvideInfo
Modifier and Type
Method
Description
`List<ModuleProvideInfo>`
ModuleAttribute.`provides()`
Returns the service implementations provided by this module.
Methods in java.lang.classfile.attribute with parameters of type ModuleProvideInfo
Modifier and Type
Method
Description
`ModuleAttribute.ModuleAttributeBuilder`
ModuleAttribute.ModuleAttributeBuilder.`provides(ModuleProvideInfo provides)`
Declares provision of a service.